dots.v2.databases.byDatabase_cluster_uuid().migrate.put()

Generated on 27 Oct 2026 from DoTs version v1.21.0

Usage

client.v2.databases.byDatabase_cluster_uuid(database_cluster_uuid).migrate.put(body: MigratePutRequestBody, requestConfiguration?: RequestConfiguration<object>): Promise<void>

Description

To migrate a database cluster to a new region, send a PUT request to /v2/databases/{database_cluster_uuid}/migrate. The body of the request must specify a region attribute.

A successful request will receive a 202 Accepted status code with no body in response. Querying the database cluster will show that its status attribute will now be set to migrating. This will transition back to online when the migration has completed.

Parameters

Path Parameters

database_cluster_uuid string required

Example: 9cc10173-e9ea-4176-9dbc-a4cee4c4ff30

A unique identifier for a database cluster.

Request Body

region string required

Example: lon1

A slug identifier for the region to which the database cluster will be migrated.

Request Sample

Show Request Sample
import { FetchRequestAdapter } from "@microsoft/kiota-http-fetchlibrary";
import {
    createDigitalOceanClient,
    DigitalOceanApiKeyAuthenticationProvider,
} from "@digitalocean/dots";

const authProvider = new DigitalOceanApiKeyAuthenticationProvider(process.env.DIGITALOCEAN_TOKEN!);
const adapter = new FetchRequestAdapter(authProvider);
const client = createDigitalOceanClient(adapter);

await client.v2.databases
    .byDatabase_cluster_uuid("9cc10173-e9ea-4176-9dbc-a4cee4c4ff30").migrate.put({
    region: "lon1",
});

More Information

See /v2/databases/{database_cluster_uuid}/migrate in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.